# Uses of Interface
org.eclipse.jface.text.IPaintPositionManager

Packages that use IPaintPositionManager
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.

## Uses of IPaintPositionManager in org.eclipse.jface.text

Methods in org.eclipse.jface.text with parameters of type IPaintPositionManager
Modifier and Type
Method
Description
`void`
CursorLinePainter.`setPositionManager(IPaintPositionManager manager)`
`void`
IPainter.`setPositionManager(IPaintPositionManager manager)`
Sets the paint position manager that can be used by this painter or removes any previously set paint position manager.
`void`
MarginPainter.`setPositionManager(IPaintPositionManager manager)`
`void`
WhitespaceCharacterPainter.`setPositionManager(IPaintPositionManager manager)`

## Uses of IPaintPositionManager in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source with parameters of type IPaintPositionManager
Modifier and Type
Method
Description
`void`
AnnotationPainter.`setPositionManager(IPaintPositionManager manager)`
`void`
MatchingCharacterPainter.`setPositionManager(IPaintPositionManager manager)`